Loading...
Searching...
No Matches
Magick::DrawableTextInterwordSpacing Class Reference
Inheritance diagram for Magick::DrawableTextInterwordSpacing:

## Public Member Functions

| DrawableTextInterwordSpacing (double spacing_)
void | operator() (MagickCore::DrawingWand *context_) const
void | spacing (double spacing_)
double | spacing (void) const
DrawableBase * | copy () const

## Private Attributes

double | _spacing

## Detailed Description

Definition at line 2182 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextInterwordSpacing()

Magick::DrawableTextInterwordSpacing::DrawableTextInterwordSpacing | ( | double | spacing_ | ) |

Definition at line 1633 of file Drawable.cpp.

: _spacing(spacing_)
{
}

## ~DrawableTextInterwordSpacing()

Magick::DrawableTextInterwordSpacing::~DrawableTextInterwordSpacing | ( | void |  | ) |

Definition at line 1639 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTextInterwordSpacing::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1659 of file Drawable.cpp.

{
return new DrawableTextInterwordSpacing(*this);
}

## operator()()

void Magick::DrawableTextInterwordSpacing::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1643 of file Drawable.cpp.

{
DrawSetTextInterwordSpacing(context_,_spacing);
}

## spacing() [1/2]

void Magick::DrawableTextInterwordSpacing::spacing | ( | double | spacing_ | ) |

Definition at line 1649 of file Drawable.cpp.

{
_spacing=spacing_;
}

## spacing() [2/2]

double Magick::DrawableTextInterwordSpacing::spacing | ( | void |  | ) | const

Definition at line 1654 of file Drawable.cpp.

{
return(_spacing);
}

## Field Documentation

## _spacing

double Magick::DrawableTextInterwordSpacing::_spacing

private

Definition at line 2198 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp